OAuth2 Authorization Endpoint
curl --request GET \
--url {protocol}://{domain}/oauth/authorizeimport requests
url = "{protocol}://{domain}/oauth/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('{protocol}://{domain}/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "invalid_request",
"error_description": "<string>",
"error_uri": "<string>",
"state": "<string>"
}OAuth2
OAuth2 Authorization Endpoint
OAuth2 authorization endpoint supporting authorization code flow with PKCE. Requires user to be logged in via session cookie.
GET
/
oauth
/
authorize
OAuth2 Authorization Endpoint
Query Parameters
OAuth2 client identifier
Redirect URI after authorization
Must be 'code' for authorization code flow
Available options:
code Space-separated list of requested scopes
State parameter for CSRF protection
PKCE code challenge
PKCE code challenge method
Available options:
S256, plain Response
Authorization page displayed
Was this page helpful?
